<template>
  <table class="resultTable">
    <thead>
      <th>Question</th>
      <th>Your answer</th>
      <th>Correct answer</th>
    </thead>

    <tbody>
      <tr v-for="(userAnswer, index) of userAnswers" :key="index">
        <td>{{ index + 1 }}</td>
        <td>{{ decodeText(userAnswer) }}</td>
        <td>{{ decodeText(questions[index].correct_answer) }}</td>
      </tr>
    </tbody>
  </table>
</template>

<script>
import { mapState } from "vuex";
import decode from "../../utils/decode";

export default {
  name: "ResultPageTable",
  computed: {
    ...mapState(["userAnswers", "questions"]),
  },
  methods: {
    decodeText(test) {
      return decode(test);
    },
  },
};
</script>

<style>
.resultTable {
  width: 100%;
  text-align: center;
}

.resultTable td {
  padding: 5px;
}
</style>